curl -G https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=active \
-d limit=10
{
"data": [
{
"id": "flt_QYNjvq8666Ar0hjA86iwlVrwA3cmyX7q",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:17:18.631Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_kAEdXgOYG1SpwWQFckETc6i4Bri6J4A2"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T01:17:00.697Z",
"wallet_balance": 32150
}
],
"next_page_url": "https://api.chargeapi.co/v1/fleets?page=page_Ea2sjDaQX5sSMXjFDV6LAimqAIt3JLkhFCPnAKowspQ&status=active&limit=10",
"previous_page_url": null
}
Fleets
List Fleets
curl -G https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=active \
-d limit=10
{
"data": [
{
"id": "flt_QYNjvq8666Ar0hjA86iwlVrwA3cmyX7q",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:17:18.631Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_kAEdXgOYG1SpwWQFckETc6i4Bri6J4A2"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T01:17:00.697Z",
"wallet_balance": 32150
}
],
"next_page_url": "https://api.chargeapi.co/v1/fleets?page=page_Ea2sjDaQX5sSMXjFDV6LAimqAIt3JLkhFCPnAKowspQ&status=active&limit=10",
"previous_page_url": null
}
Returns a paginated list of fleet objects. Filter by
status, driver, or vehicle, then follow the returned page URLs to continue through the result set.
curl -G https://api.chargeapi.co/v1/fleets \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=active \
-d limit=10
{
"data": [
{
"id": "flt_QYNjvq8666Ar0hjA86iwlVrwA3cmyX7q",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:17:18.631Z",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_kAEdXgOYG1SpwWQFckETc6i4Bri6J4A2"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T01:17:00.697Z",
"wallet_balance": 32150
}
],
"next_page_url": "https://api.chargeapi.co/v1/fleets?page=page_Ea2sjDaQX5sSMXjFDV6LAimqAIt3JLkhFCPnAKowspQ&status=active&limit=10",
"previous_page_url": null
}
Parameters
string
Limit results to fleets linked to this driver.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Limit results to fleets with this status.Available options:
active, suspended, archivedstring
Limit results to fleets linked to this vehicle.
Returns
Returns a page of fleets.array of object
required
Array of fleet objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
